/*
 
 Copyright 2011 ANDREA TUCCI <falko91@aliceposta.it>
 
 This file is part of BOMBERTUX.
 
 BOMBERTUX is free software: you can redistribute it and/or
 modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 BOMBERTUX is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with BOMBERTUX.  If not, see
 <http://www.gnu.org/licenses/>.
 
 */
#ifndef STRONGMONSTER_H
#define STRONGMONSTER_H

#include "CommonMonster.h"
#include <string>
using namespace std;

class StrongMonster : public CommonMonster
{
	private:
		int power;
		int timeOfShoot;

	public:
	StrongMonster(const string& base="(O\\./O)",int vel=30,int numberOfLines=1,int y=10,int x=10,int power=2,bool strng=true,bool shoot=false);

	virtual void shoot (int time);
	virtual void moveShoot();
	
	bool isFreeToShoot();
	void killed();


};
#endif
