/*
 
 Copyright 2011 ANDREA TUCCI <falko91@aliceposta.it>
 
 This file is part of BOMBERTUX.
 
 BOMBERTUX is free software: you can redistribute it and/or
 modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 BOMBERTUX is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with BOMBERTUX.  If not, see
 <http://www.gnu.org/licenses/>.
 
 */
#ifndef COMMONMONSTER_H
#define COMMONMONSTER_H

#include "Monster.h"
#include <string>
using namespace std;
class CommonMonster :public Monster
{
	
	public:
		CommonMonster(const string& base="(o.o)",int vel=30,int numberOfLines=1,int y=10,int x=10,bool strong=false,bool shoot=false);

		virtual void draw();
		virtual void moveMonster();
		virtual void killed();
		virtual bool checkLife();
		virtual void shoot(int) {};
		virtual void moveShoot() {};
		
	
		


};
#endif
