/*
 
 Copyright 2011 ANDREA TUCCI <falko91@aliceposta.it>
 
 This file is part of BOMBERTUX.
 
 BOMBERTUX is free software: you can redistribute it and/or
 modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 BOMBERTUX is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with BOMBERTUX.  If not, see
 <http://www.gnu.org/licenses/>.
 
 */
#ifndef MAZE_H
#define MAZE_H
#include <ncurses.h>
#include <string>
#include "Block.h"
#include <cstdlib>
#include <ctime>
#include <cassert>
using namespace std;
class Maze
{
	friend class Bomb;
	friend class Bombertux;
    private:
	
	static const int beginOfMaze=10;
	static void setControl(int y,int x,const Block& );
	
	public:
		static char control [30][100];
		static int isFreeForTux(int y,int x);
		static void draw();
		static void drawForBoss();
		static void beginControl();
		static int getBeginOfMaze();
		static bool isThereABlock(int,int);
		static bool isFreeSpaceForMonster(int,int,int,int);
		static bool isFreeSpaceForBoss(int,int,int,int);
		static void delBlocks();
		
		
		//controlli differenti perché un mostro non può andare su un altro mostro, Bombertux sì
		
		
		

};
#endif
